Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.internal.e4
Class Activator

    java.lang.Object
      org.eclipse.emf.ecp.ui.internal.e4.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends Object
implements org.osgi.framework.BundleActivator

The activator class controls the plug-in life cycle.

Constructor Summary
`Activator()`

Method Summary
`static org.osgi.framework.BundleContext` | `getContext()` Returns the `BundleContext`.
`static ReportService` | `getReportService()` Returns the `ReportService`.
`void` | `start(org.osgi.framework.BundleContext bundleContext)`
`void` | `stop(org.osgi.framework.BundleContext bundleContext)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### getContext

    public static org.osgi.framework.BundleContext getContext()

  Returns the `BundleContext`.

  Returns:
    the `BundleContext`.

### start

    public void start(org.osgi.framework.BundleContext bundleContext)
               throws Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### stop

    public void stop(org.osgi.framework.BundleContext bundleContext)
              throws Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `Exception`

### getReportService

    public static ReportService getReportService()

  Returns the `ReportService`.

  Returns:
    the `ReportService`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.